# Create a job target

Creates a new target for the specified job and returns the job target ID, for example `39605`.

Endpoint: POST /api/jobs/{id}/targets
Version: v2.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `id` (integer, required)
    The ID for the job target, for example `39605`.

## Request body:

  - `application/json` (unknown)
    The request containing the target information.

## Request fields (application/json):

  - `id` (integer)
    Gets or sets the entity ID.

  - `identifier` (string)
    Gets or sets the entity identifier.

  - `properties` (object)
    Gets or sets the properties of the entity.

  - `relations` (object)
    Gets or sets the relations of the entity.

  - `is_root_taxonomy_item` (boolean)
    Gets or sets a value indicating whether the entity is a root taxonomy item.

  - `is_path_root` (boolean)
    Gets or sets a value indicating whether the entity is a path root.

  - `entitydefinition` (object)
    Represents a link to a resource.

  - `entitydefinition.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `entitydefinition.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `entitydefinition.title` (string)
    Gets or sets the title that describes this link.

  - `entitydefinition.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `is_system_owned` (boolean)
    Gets or sets a value indicating whether the entity is system owned.

  - `inherits_security` (boolean)
    Gets or sets a value indicating whether the entity inherits security.

## Response 201:

  - `201` (unknown)
    Target successfully created.

## Response 400:

  - `400` (unknown)
    Request not valid (for example, less than or equal to zero), or target resource is null.

## Response 401:

  - `401` (unknown)
    Unauthorized request.

## Response 404:

  - `404` (unknown)
    Entity not found or user not authorized.

